JavaGeneratorFactory.Writers (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaGeneratorFactory.Writers,JavaGeneratorFactory.Writers class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaGeneratorFactory.Writers

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaGeneratorFactory.Writers

All Implemented Interfaces:
  Generator

Enclosing class:
  JavaGeneratorFactory

protected class JavaGeneratorFactory.Writers
extends java.lang.Object
implements Generator

Constructor Summary
`protected` | `JavaGeneratorFactory.Writers()`

Method Summary
`void` | `addGenerator(java.lang.Class writer)`
`void` | `addStuff(Generator baseWriter, javax.wsdl.Definition def, SymbolTable symbolTable)`
`void` | `addStuff(Generator baseWriter, SymTabEntry entry, SymbolTable symbolTable)`
`void` | `generate()` Generate something.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaGeneratorFactory.Writers

    protected JavaGeneratorFactory.Writers()

Method Detail

### addGenerator

    public void addGenerator(java.lang.Class writer)

### addStuff

    public void addStuff(Generator baseWriter,
                         SymTabEntry entry,
                         SymbolTable symbolTable)

### addStuff

    public void addStuff(Generator baseWriter,
                         javax.wsdl.Definition def,
                         SymbolTable symbolTable)

### generate

    public void generate()
                  throws java.io.IOException

  Description copied from interface: `Generator`
  Generate something.

  Specified by:
    `generate` in interface `Generator`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.